library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package dvi_package is
	constant COLOR_CNT     : integer := 3;
	constant RED           : natural := 2;
	constant GREEN         : natural := 1;
	constant BLUE          : natural := 0;

	constant CTRLTOKEN0 : std_logic_vector(9 downto 0) := "1101010100";
	constant CTRLTOKEN1 : std_logic_vector(9 downto 0) := "0010101011";
	constant CTRLTOKEN2 : std_logic_vector(9 downto 0) := "0101010100";
	constant CTRLTOKEN3 : std_logic_vector(9 downto 0) := "1010101011";

	type sdat_t  is array (natural range <>) of std_logic_vector(9 downto 0);
	type color_t is array (natural range <>) of std_logic_vector(7 downto 0);
end package;
